Skip to main content
GET
/
addresses
/
{address_hash_param}
/
transactions
List transactions involving a specific address with to-from filtering
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/transactions?apikey='
{
  "items": [
    {
      "has_error_in_internal_transactions": true,
      "block_number": 123,
      "exchange_rate": "<string>",
      "transaction_types": [
        "coin_transfer"
      ],
      "historic_exchange_rate": "<string>",
      "nonce": 1,
      "timestamp": "2023-11-07T05:31:56Z",
      "base_fee_per_gas": "<string>",
      "token_transfers": [
        {
          "block_hash": "<string>",
          "block_number": 123,
          "from": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "proxy_type": "eip1167",
            "reputation": "ok",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "log_index": 123,
          "method": "transfer",
          "timestamp": "2023-11-07T05:31:56Z",
          "to": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "proxy_type": "eip1167",
            "reputation": "ok",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "token": {
            "address_hash": "<string>",
            "circulating_market_cap": "<string>",
            "decimals": "<string>",
            "exchange_rate": "<string>",
            "holders_count": "<string>",
            "icon_url": "https://example.com",
            "name": "<string>",
            "reputation": "ok",
            "symbol": "<string>",
            "total_supply": "<string>",
            "type": "ERC-20",
            "volume_24h": "<string>",
            "bridge_type": "omni",
            "foreign_address": "<string>",
            "origin_chain_id": "<string>"
          },
          "token_type": "ERC-20",
          "total": {
            "token_id": "<string>",
            "token_instance": {
              "animation_url": "https://example.com",
              "external_app_url": "https://example.com",
              "id": "<string>",
              "image_url": "https://example.com",
              "is_unique": true,
              "media_type": "image/png",
              "media_url": "https://example.com",
              "metadata": {
                "description": "Test",
                "image": "https://example.com/image.png",
                "name": "Test"
              },
              "owner": {
                "ens_domain_name": "<string>",
                "hash": "<string>",
                "implementations": [
                  {
                    "address_hash": "<string>",
                    "name": "<string>"
                  }
                ],
                "is_contract": true,
                "is_scam": true,
                "is_verified": true,
                "metadata": {
                  "tags": [
                    {
                      "meta": {},
                      "name": "<string>",
                      "ordinal": 123,
                      "slug": "<string>",
                      "tagType": "<string>"
                    }
                  ]
                },
                "name": "<string>",
                "proxy_type": "eip1167",
                "reputation": "ok",
                "private_tags": [
                  {
                    "address_hash": "<string>",
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ],
                "public_tags": [
                  {
                    "address_hash": "<string>",
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ],
                "watchlist_names": [
                  {
                    "display_name": "<string>",
                    "label": "<string>"
                  }
                ]
              },
              "thumbnails": {
                "original": "<string>",
                "250x250": "<string>",
                "500x500": "<string>",
                "60x60": "<string>"
              },
              "token": {
                "address_hash": "<string>",
                "circulating_market_cap": "<string>",
                "decimals": "<string>",
                "exchange_rate": "<string>",
                "holders_count": "<string>",
                "icon_url": "https://example.com",
                "name": "<string>",
                "reputation": "ok",
                "symbol": "<string>",
                "total_supply": "<string>",
                "type": "ERC-20",
                "volume_24h": "<string>",
                "bridge_type": "omni",
                "foreign_address": "<string>",
                "origin_chain_id": "<string>"
              },
              "token_type": "ERC-20",
              "value": "<string>"
            }
          },
          "transaction_hash": "<string>",
          "type": "token_burning"
        }
      ],
      "decoded_input": {
        "method_call": "<string>",
        "method_id": "<string>",
        "parameters": [
          {
            "name": "<string>",
            "type": "<string>",
            "value": {}
          }
        ]
      },
      "gas_price": "<string>",
      "gas_limit": "<string>",
      "actions": [
        {
          "data": {},
          "protocol": "uniswap_v3",
          "type": "mint_nft"
        }
      ],
      "fee": {
        "type": "maximum",
        "value": "<string>"
      },
      "method": "transfer",
      "authorization_list": [
        {
          "address_hash": "<string>",
          "authority": "<string>",
          "chain_id": 123,
          "nonce": "<string>",
          "r": "<string>",
          "s": "<string>",
          "status": "ok",
          "v": 123
        }
      ],
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "status": "ok",
      "gas_used": "<string>",
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "value": "<string>",
      "created_contract": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "transaction_tag": "personal",
      "max_priority_fee_per_gas": "<string>",
      "position": 1,
      "confirmations": 1,
      "token_transfers_overflow": true,
      "type": 123,
      "transaction_burnt_fee": "<string>",
      "confirmation_duration": [
        1000,
        2000
      ],
      "revert_reason": {
        "method_call": "<string>",
        "method_id": "<string>",
        "parameters": [
          {
            "name": "<string>",
            "type": "<string>",
            "value": {}
          }
        ]
      },
      "max_fee_per_gas": "<string>",
      "hash": "<string>",
      "result": "pending",
      "is_pending_update": true,
      "raw_input": "<string>",
      "priority_fee": "<string>",
      "arbitrum": {
        "gas_used_for_l1": "<string>",
        "gas_used_for_l2": "<string>",
        "network_fee": "<string>",
        "poster_fee": "<string>",
        "batch_data_container": "<string>",
        "batch_number": 123,
        "commitment_transaction": {
          "hash": "<string>",
          "status": "unfinalized",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "confirmation_transaction": {
          "hash": "<string>",
          "status": "unfinalized",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "contains_message": "incoming",
        "message_related_info": {
          "associated_l1_transaction_hash": "<string>",
          "message_id": 123,
          "message_status": "Syncing with base layer"
        },
        "status": "Confirmed on base"
      }
    }
  ],
  "next_page_params": {
    "block_number": 22566361,
    "fee": "19206937428000",
    "hash": "0xe38d616dade747097354b0731b5560f581536dacf22121feb4bb4a0b776018aa",
    "index": 103,
    "inserted_at": "2025-05-26T10:26:51.474Z",
    "items_count": 50,
    "value": "24741049597737"
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

filter
enum<string>

Filter transactions by direction:

  • to - Only show transactions sent to this address
  • from - Only show transactions sent from this address If omitted, all transactions involving the address are returned.
Available options:
to,
from
sort
enum<string>

Sort transactions by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee
  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions on address
  • fiat_value - Sort by fiat value of the token transfer
  • holders_count - Sort by number of token holders
  • circulating_market_cap - Sort by circulating market cap of the token Should be used together with order parameter.
Available options:
block_number,
value,
fee
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
block_number

Block number for paging

index

Transaction index for paging

inserted_at
string<date-time>

Inserted at timestamp for paging (ISO8601)

hash
string

Transaction hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
value

Transaction value for paging

Pattern: ^-?([1-9][0-9]*|0)$
fee
string

Transaction fee for paging

Pattern: ^-?([1-9][0-9]*|0)$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

All transactions for the specified address.

items
Transaction · object[]
required
next_page_params
object
required
Example:
{
  "block_number": 22566361,
  "fee": "19206937428000",
  "hash": "0xe38d616dade747097354b0731b5560f581536dacf22121feb4bb4a0b776018aa",
  "index": 103,
  "inserted_at": "2025-05-26T10:26:51.474Z",
  "items_count": 50,
  "value": "24741049597737"
}